<?php
namespace Teknisa\FIS\Modules\Acessorias\Services;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\Libs\Util\Environment;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\Libs\Util\Utilities;


class Fis75001ParametrosEfdReinfService{
    
    const DEV_LINK  = 'http://midia.teknisa.com/files/';
    const PROD_LINK = 'https://midia.teknisa.com/files/';
    const EXTENSION_PFX = 'pfx';
    const EXTENSION_P12 = 'p12';
    const EXTENSION_PNG = 'png';
    const EXTENSION_JPG = 'jpg';

    protected $environment;
    protected $entityManager;
    protected $dataSourceManager;
    protected $connection;

    public function __construct(Environment $environment, \Doctrine\ORM\EntityManager $entityManager ,$dataSourceManager){
        $this->environment      = $environment;
        $this->entityManager    = $entityManager;
        $this->dataSourceManager = $dataSourceManager;
        $this->connection = $entityManager->getConnection();
    }
    
    public function updateDsDirCert($parametros) {
    //   var_dump($parametros);die;
        $parametros = array(
            "DSDIRCERTIFICADO" => $parametros[0],
            "CDEMPRESA"  => $parametros[1],
            "CDSENHACERTDIG" => $parametros[2],
            "NRORG"   => $parametros[3]
        );
        $sql = 'UPDATE PARAMEMPREINF
        SET DSDIRCERTIFICADO    = :DSDIRCERTIFICADO,
        CDSENHACERTDIG = :CDSENHACERTDIG
        WHERE CDEMPRESA    = :CDEMPRESA
        AND NRORG        = :NRORG';
       // var_dump($params);die;
        $query = $this->entityManager->getConnection()->prepare($sql);
        $query->execute($parametros);
      //  var_dump($std);die;
    }
    
}